<?xml version="1.0" encoding="UTF-8"?>
        
<!DOCTYPE tiles-definitions PUBLIC "-//Apache Software Foundation//DTD Tiles Configuration 2.0//EN"
"http://tiles.apache.org/dtds/tiles-config_2_0.dtd">
                                              
<tiles-definitions>

    <definition name="base.layout" template="/tiles/layout/baseLayout.jsp">
        <put-attribute name="header" value="/tiles/general/header.jsp"/>
        <put-attribute name="footer" value="/tiles/general/footer.jsp"/>
    </definition>


    <definition name="main.view"  extends="base.layout">
         <put-attribute name="content" value="/tiles/login/login.jsp"/>
    </definition>

    <definition name="forgot.view"  extends="base.layout">
         <put-attribute name="content" value="/tiles/login/forgotPassword.jsp"/>
    </definition>

    <definition name="admin.view" extends="admin.layout">
        <put-attribute name="content"  value="/pages/admin/startServer.jsp" />
    </definition>

    <definition name="operator.view" extends="base.layout">
        <put-attribute name="content"  value="/tiles/general/operator/operator.jsp" />
    </definition>

    <definition name="profile.view" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/profileView.jsp"/>
    </definition>

    <definition name="profile.edit" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/profileEdit.jsp"/>
    </definition>

    <definition name="operator.profile.view" extends="base.layout">
        <put-attribute name="content" value="/tiles/general/operator/profileViewOper.jsp"/>
    </definition>

    <definition name="operator.profile.edit" extends="base.layout">
        <put-attribute name="content" value="/tiles/general/operator/profileEditOperator.jsp"/>
    </definition>

    <definition name="defaultParams.set" extends="admin.layout">
       <put-attribute name="content" value="/tiles/general/admin/setDefaultParams.jsp"/>
    </definition>

    <definition name="admin.networks.view" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/adminNetworks.jsp" />
    </definition>

    <definition name="admin.server.security.view" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/serverSecurity.jsp" />
    </definition>

    <definition name="admin.fw.upload.view" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/newFwUpgrade.jsp"/>
    </definition>

    <definition name="admin.fwUpgrade.view" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/fwUpdate.jsp"/>
    </definition>


    <definition name="admin.users.view" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/adminUsers.jsp"/>
    </definition>

    <!--<definition name="main.view"  extends="base.layout">-->
         <!--<put-attribute name="content" value="/tiles/general/content.jsp"/>-->
    <!--</definition>-->

    <definition name="admin.layout" template="/tiles/layout/adminLayout.jsp">
        <put-attribute name="header" value="/tiles/general/header.jsp"/>
        <put-attribute name="menu"  value="/tiles/general/menu.jsp"/>
        <put-attribute name="footer" value="/tiles/general/footer.jsp"/>
    </definition>

    <definition name="admin.config.view" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/admin.jsp"/>
    </definition>

    <definition name="admin.settings.view" extends="admin.layout">
        <put-attribute name="content" value="/pages/admin/settings.jsp"/>
    </definition>


    <definition name="admin.model.view" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/models.jsp"/>
    </definition>


    <definition name="admin.unknown" extends="admin.layout">
        <put-attribute name="content" value="/pages/admin/unknown.jsp"/>
    </definition>

     <definition name="changepass.view" extends="base.layout">
        <put-attribute name="content" value="/pages/changePassword.jsp"/>
     </definition>

     <definition name="addModel.view" extends="admin.layout">
            <put-attribute name="content" value="/pages/admin/addModel.jsp"/>
     </definition>

    <definition name="topology.view" extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/topology.jsp"/>
    </definition>

    <definition name="config.view"    extends="admin.layout">
        <put-attribute name="content" value="/tiles/general/admin/viewConfigs.jsp"/>
    </definition>

</tiles-definitions>
